Backup agent for Linux servers and workstations on-premises or in the public cloud
Post Reply
Sebbo
Influencer
Posts: 16
Liked: never
Joined: Aug 11, 2016 12:08 pm
Contact:

Veeam Agent for Linux: Dependencies are not installed autom.

Post by Sebbo » Aug 11, 2016 12:40 pm

Hey,
regarding this topic: veeam-agent-for-linux-f41/dependencies- ... 36401.html

I had a similar problem under Ubuntu 14.04 LTS with the latest software packages. I had to manually install some packages to be able to install veeamsnap and veeam:

Code: Select all

aptitude install dkms lvm2
Both packages are listed as required packages in the topic veeam-agent-for-linux-f41/known-issues-t35902.html, but the installation of veeam did not say "Hey, these packages are missing, but will be required by Veeam. Do you want to install them too?".

I recommend to update the *.deb packages to add this behaviour. Thanks.

vmniels
Veeam Software
Posts: 2023
Liked: 447 times
Joined: Jul 15, 2013 11:09 am
Full Name: Niels Engelen
Contact:

Re: Veeam Agent for Linux: Dependencies are not installed au

Post by vmniels » Aug 11, 2016 12:59 pm 1 person likes this post

This will be taken care of in the GA version as well as a repo which will present the files for updates.
VCP-DCV
Veeam Certified Architect (VMCA)
http://foonet.be

Patschi
Influencer
Posts: 12
Liked: 3 times
Joined: Jan 17, 2015 7:16 pm
Full Name: Patrik Kernstock
Location: Austria, Lower Austria
Contact:

Re: Veeam Agent for Linux: Dependencies are not installed au

Post by Patschi » Aug 11, 2016 1:11 pm 2 people like this post

The both deb-packages have set dependencies to the required software packages:

Code: Select all

$ dpkg -I x64/deb/veeam_1.0.0.499_amd64.deb | grep "Depends"
 Depends: libfuse2, libacl1, libattr1, libstdc++6, libgcc1, lvm2, libc6, libblkid1, veeamsnap
$ dpkg -I x64/deb/veeamsnap_1.0.0.499_all.deb | grep "Depends"
 Depends: dkms (>= 2.1.0.0)
In general, dpkg is not responsible for automated installing software dependencies. This work is done by the software manager apt. And because the VAL is currently not available on any repository for apt, the dependencies does not get installed automatically by apt. But as vmniels said, there will be a repository later on.

But you can do the following commands, if you don't want to search the dependency packages manually:
(Should work on any deb file out there - not VAL specific)

Code: Select all

$ dpkg -i veeamsnap_1.0.0.499_all.deb
[...yes, this fails. Just ignore it. ]
Selecting previously unselected package veeamsnap.
(Reading database ... 136700 files and directories currently installed.)
Preparing to unpack veeamsnap_1.0.0.499_all.deb ...
Unpacking veeamsnap (1.0.0.499) ...
dpkg: dependency problems prevent configuration of veeamsnap:
 veeamsnap depends on dkms (>= 2.1.0.0); however:
  Package dkms is not installed.

dpkg: error processing package veeamsnap (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 veeamsnap

$ dpkg -i veeam_1.0.0.499_amd64.deb
[...yes, this fails as well. Just ignore it too. ]
Selecting previously unselected package veeam.
(Reading database ... 136761 files and directories currently installed.)
Preparing to unpack veeam_1.0.0.499_amd64.deb ...
Unpacking veeam (1.0.0.499) ...
dpkg: dependency problems prevent configuration of veeam:
 veeam depends on lvm2; however:
  Package lvm2 is not installed.
 veeam depends on veeamsnap; however:
  Package veeamsnap is not configured yet.

dpkg: error processing package veeam (--install):
 dependency problems - leaving unconfigured
Processing triggers for ureadahead (0.100.0-16) ...
Errors were encountered while processing:
 veeam

$ apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  dkms lvm2 watershed
Suggested packages:
  debhelper thin-provisioning-tools
The following NEW packages will be installed:
  dkms lvm2 watershed
0 upgraded, 3 newly installed, 0 to remove and 201 not upgraded.
2 not fully installed or removed.
Need to get 481 kB/547 kB of archives.
After this operation, 1692 kB of additional disk space will be used.
Do you want to continue? [Y/n]
[...]

SteveCos
Lurker
Posts: 1
Liked: never
Joined: Aug 25, 2016 2:24 am
Full Name: Steve Cosgrove
Contact:

Re: Veeam Agent for Linux: Dependencies are not installed au

Post by SteveCos » Aug 25, 2016 2:29 am

Excellent description thanks!

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests